[solved] vase rotation extrusion helix and profile

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
User avatar
pl7i92LCNC
Posts: 209
Joined: Tue Mar 12, 2019 3:03 pm
Location: RLP DE

[solved] vase rotation extrusion helix and profile

Postby pl7i92LCNC » Thu Oct 24, 2019 2:44 pm

hi id like to make a profiled vase but got lost
vas.jpg
vas.jpg (11.18 KiB) Viewed 561 times
id like to ?#sweep the profile along the helix while diameter is influenced by the profile
there are things like that out on thingverse but how to generate them
vase.jpg
vase.jpg (19.71 KiB) Viewed 561 times
here is the file to be used with the sketches
vas.FCStd
(13.7 KiB) Downloaded 13 times
in FINAL SOLVED with lots of Sketches CLONES from DRAFT and LOFT in Part
THANKS to ALL
vase_neu.jpg
vase_neu.jpg (21.07 KiB) Viewed 391 times
Last edited by pl7i92LCNC on Fri Oct 25, 2019 5:44 pm, edited 1 time in total.
chrisb
Posts: 21320
Joined: Tue Mar 17, 2015 9:14 am

Re: vase rotation extrusion helix and profile

Postby chrisb » Thu Oct 24, 2019 3:29 pm

You can try the macro "FCSpring Helix Variable". It can have individual pitch and diameter for single turns. As far as I can see it creates always full turns, so you may have to cut the helix appropriately.
User avatar
pl7i92LCNC
Posts: 209
Joined: Tue Mar 12, 2019 3:03 pm
Location: RLP DE

Re: vase rotation extrusion helix and profile

Postby pl7i92LCNC » Thu Oct 24, 2019 3:31 pm

did i make the wrong aproch at all
with multiple sketches it can be a loft but only straigt no smoothness as a sweep
freedman
Posts: 1139
Joined: Thu Mar 22, 2018 3:02 am
Location: Washington State, USA

Re: vase rotation extrusion helix and profile

Postby freedman » Thu Oct 24, 2019 3:56 pm

Search for lofting a profile. As the loft builds, twist the sketches on axis.
chrisb
Posts: 21320
Joined: Tue Mar 17, 2015 9:14 am

Re: vase rotation extrusion helix and profile

Postby chrisb » Thu Oct 24, 2019 4:25 pm

I have done the following:
- Create the base vase with a revolution
- create a coarse mesh from this
- create a shape from the mesh
- hover over appropriate poits and add their coordinates to the macro below
- create B-spline
- create sweep

You will have to finetune, of course. Perhaps I have taken too many or not enough vertices.
Macro courtesy microelly2:

Code: Select all

 # List of points
pts=[App.Vector(9,0,0),App.Vector(3.5,19.8,18),App.Vector(-9,14.4,39.4),App.Vector(-9.2,6.6,52),App.Vector(-10.6,5.5,57),App.Vector(-14.4,4.2,60)]
bs=Part.BSplineCurve()
bs.interpolate(Points=pts)
Part.show(bs.toShape(),"Spline")
Snip macro screenshot-7c8746.png
Snip macro screenshot-7c8746.png (36.13 KiB) Viewed 529 times
Attachments
vase_cb.FCStd
(161.79 KiB) Downloaded 6 times
User avatar
pl7i92LCNC
Posts: 209
Joined: Tue Mar 12, 2019 3:03 pm
Location: RLP DE

Re: vase rotation extrusion helix and profile

Postby pl7i92LCNC » Thu Oct 24, 2019 5:26 pm

thanks this woudt be the workaround
but woudt be nice to get a controling bspline to a Helix in the 90deg direction
as sweep only workes along middle axis of the line

the color Vase can be done that way but the shape out of the first FC file woudt be a nightmare
chrisb
Posts: 21320
Joined: Tue Mar 17, 2015 9:14 am

Re: vase rotation extrusion helix and profile

Postby chrisb » Thu Oct 24, 2019 5:35 pm

pl7i92LCNC wrote:
Thu Oct 24, 2019 5:26 pm
but woudt be nice to get a controling bspline to a Helix in the 90deg direction
as sweep only workes along middle axis of the line
Sorry, I don't understand what you mean with the controlling B-spline in 90° direction.
The sweep path doesn't have to be in the middle, it can be even outsode of the section.
freedman
Posts: 1139
Joined: Thu Mar 22, 2018 3:02 am
Location: Washington State, USA

Re: vase rotation extrusion helix and profile

Postby freedman » Thu Oct 24, 2019 6:54 pm

I generated some octagon sketches, rotated and stacked. I don't how to control selected edges very well.
Attachments
octo.JPG
octo.JPG (53.56 KiB) Viewed 488 times
User avatar
papyblaise
Posts: 1099
Joined: Thu Jun 13, 2019 4:28 pm
Location: France

Re: vase rotation extrusion helix and profile

Postby papyblaise » Thu Oct 24, 2019 7:31 pm

Hello
I do a "normal" vase by rotate the profil around the Z axis
I do a helicoîdal slot thro the vertical axis
I draw the profil of the jonc and sweep it to use the side of the slot for path along the body of the vase
and polar array 12 times
I do the jonc in Part because with Partdesign it crash (I 'm not surprise :!: )
On the screenshot you can see 12 joncs but in the Fc they are only 8 because the file 'll be to large -sorry
Attachments
vase1.FCStd
(854.92 KiB) Downloaded 6 times
vase.PNG
vase.PNG (175.72 KiB) Viewed 479 times
User avatar
pl7i92LCNC
Posts: 209
Joined: Tue Mar 12, 2019 3:03 pm
Location: RLP DE

Re: vase rotation extrusion helix and profile

Postby pl7i92LCNC » Fri Oct 25, 2019 7:10 am

hi
freedmanns advance with the octagon is the best to go with
now a macro shoudt be made that takes the connection points or runs at a given length along the curve and gets the X (wiidth)value
makes a copy Clone of the original sketch position it to the point height and scales it to the x width factor from the base first point
then rotates it to thee factor from total height to total rotatian

Question can i take with a script some points of the curve and make auto sketches while given
Height
Rotation to calculate
the main points
curve_macro.jpg
curve_macro.jpg (18.03 KiB) Viewed 437 times